package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * Thirdparties generated by hbm2java
 */
@Entity
@Table(name="thirdparties"
    ,catalog="openbravopos"
    , uniqueConstraints = {@UniqueConstraint(columnNames="CIF"), @UniqueConstraint(columnNames="NAME")} 
)
public class Thirdparties  implements java.io.Serializable {


     private String id;
     private String cif;
     private String name;
     private String address;
     private String contactcomm;
     private String contactfact;
     private String payrule;
     private String faxnumber;
     private String phonenumber;
     private String mobilenumber;
     private String email;
     private String webpage;
     private String notes;

    public Thirdparties() {
    }

	
    public Thirdparties(String id, String cif, String name) {
        this.id = id;
        this.cif = cif;
        this.name = name;
    }
    public Thirdparties(String id, String cif, String name, String address, String contactcomm, String contactfact, String payrule, String faxnumber, String phonenumber, String mobilenumber, String email, String webpage, String notes) {
       this.id = id;
       this.cif = cif;
       this.name = name;
       this.address = address;
       this.contactcomm = contactcomm;
       this.contactfact = contactfact;
       this.payrule = payrule;
       this.faxnumber = faxnumber;
       this.phonenumber = phonenumber;
       this.mobilenumber = mobilenumber;
       this.email = email;
       this.webpage = webpage;
       this.notes = notes;
    }
   
     @Id 

    
    @Column(name="ID", unique=true, nullable=false)
    public String getId() {
        return this.id;
    }
    
    public void setId(String id) {
        this.id = id;
    }

    
    @Column(name="CIF", unique=true, nullable=false)
    public String getCif() {
        return this.cif;
    }
    
    public void setCif(String cif) {
        this.cif = cif;
    }

    
    @Column(name="NAME", unique=true, nullable=false)
    public String getName() {
        return this.name;
    }
    
    public void setName(String name) {
        this.name = name;
    }

    
    @Column(name="ADDRESS")
    public String getAddress() {
        return this.address;
    }
    
    public void setAddress(String address) {
        this.address = address;
    }

    
    @Column(name="CONTACTCOMM")
    public String getContactcomm() {
        return this.contactcomm;
    }
    
    public void setContactcomm(String contactcomm) {
        this.contactcomm = contactcomm;
    }

    
    @Column(name="CONTACTFACT")
    public String getContactfact() {
        return this.contactfact;
    }
    
    public void setContactfact(String contactfact) {
        this.contactfact = contactfact;
    }

    
    @Column(name="PAYRULE")
    public String getPayrule() {
        return this.payrule;
    }
    
    public void setPayrule(String payrule) {
        this.payrule = payrule;
    }

    
    @Column(name="FAXNUMBER")
    public String getFaxnumber() {
        return this.faxnumber;
    }
    
    public void setFaxnumber(String faxnumber) {
        this.faxnumber = faxnumber;
    }

    
    @Column(name="PHONENUMBER")
    public String getPhonenumber() {
        return this.phonenumber;
    }
    
    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    
    @Column(name="MOBILENUMBER")
    public String getMobilenumber() {
        return this.mobilenumber;
    }
    
    public void setMobilenumber(String mobilenumber) {
        this.mobilenumber = mobilenumber;
    }

    
    @Column(name="EMAIL")
    public String getEmail() {
        return this.email;
    }
    
    public void setEmail(String email) {
        this.email = email;
    }

    
    @Column(name="WEBPAGE")
    public String getWebpage() {
        return this.webpage;
    }
    
    public void setWebpage(String webpage) {
        this.webpage = webpage;
    }

    
    @Column(name="NOTES")
    public String getNotes() {
        return this.notes;
    }
    
    public void setNotes(String notes) {
        this.notes = notes;
    }




}


